Opened 11 years ago

Closed 10 years ago

#762 closed defect (wontfix)

[raster] Raster some check fails

Reported by: aperi2007 Owned by: jorgearevalo
Priority: blocker Milestone: PostGIS 2.0.0
Component: raster Version: main
Keywords: Cc:

Description (last modified by mloskot)

Hi, just executing "make raster-post-install-check" I see these errors:

./run_test ...
Creating spatial db rtpostgis_reg
createlang: linguaggio "plpgsql" già installato nel database "rtpostgis_reg"
TMPDIR is /tmp/rtpgis_reg_11269

 PostgreSQL 9.0.2 on i686-pc-linux-gnu, compiled by GCC gcc (Debian 4.3.2-1.1) 4.3.2, 32-bit
 Postgis 2.0.0SVN - 2011-01-10 18:26:09
   GEOS: 3.3.0-CAPI-1.7.0
   PROJ: Rel. 4.7.1, 23 September 2009
 WKTRaster 2.0.0SVN - 2011-01-10 18:26:09

Running tests

 check_raster_columns. ok
 check_raster_overviews. ok
 rt_io. ok
 create_rt_bytea_test. ok
 rt_bytea. ok
 create_rt_box2d_test. ok
 rt_box2d. ok
 rt_addband. failed (diff expected obtained: /tmp/rtpgis_reg_11269/test_8_diff)
 create_rt_properties_test. ok
 rt_dimensions. ok
 rt_scale. ok
 rt_upperleft. ok
 rt_rotation. ok
 rt_georeference. ok
 rt_set_properties. ok
 create_rt_empty_raster_test. ok
 rt_isempty. ok
 rt_hasnoband. ok
 create_rt_band_properties_test. ok
 rt_band_properties. failed (diff expected obtained: /tmp/rtpgis_reg_11269/test_20_diff)
 rt_set_band_properties. ok
 rt_pixelvalue. ok
 create_rt_utility_test. ok
 rt_utility. ok
 create_rt_gist_test. failed (diff expected obtained: /tmp/rtpgis_reg_11269/test_25_diff)
 rt_above. ok
 rt_below. ok
 rt_contained. ok
 rt_contain. ok
 rt_left. ok
 rt_overabove. ok
 rt_overbelow. ok
 rt_overlap. ok
 rt_overleft. ok
 rt_overright. ok
 rt_right. ok
 rt_same. ok
 rt_spatial_relationship. ok
 bug_test_car5. ok

Run tests: 39
Failed: 3
make[3]: Leaving directory `/home/postgres/software/postgis/postgis-2.0.0SVN/raster/test/regress'
make[2]: Leaving directory `/home/postgres/software/postgis/postgis-2.0.0SVN/raster/test'
make[1]: Leaving directory `/home/postgres/software/postgis/postgis-2.0.0SVN/raster'
postgres@deb:~/software/postgis/postgis-2.0.0SVN$
-----

I add the tmp logs.

Attachments (3)

rtpgis_reg_11269.zip (2.7 KB) - added by aperi2007 11 years ago.
Diff logs
rtpgis_reg_11895.zip (1.1 KB) - added by aperi2007 11 years ago.
a new zip with logs
reg_24868.tgz (2.9 KB) - added by strk 10 years ago.

Download all attachments as: .zip

Change History (17)

Changed 11 years ago by aperi2007

Attachment: rtpgis_reg_11269.zip added

Diff logs

comment:1 Changed 11 years ago by pracine

Summary: Raster some check fails[raster] Raster some check fails

comment:2 Changed 11 years ago by pracine

The two first diff were just fixed. I don't get the third diff. Could you give it a try again?

comment:3 Changed 11 years ago by pracine

Priority: mediumcritical
Status: newassigned

comment:4 Changed 11 years ago by aperi2007

Hi,

I tested. But unfortunately the error is still here.

executing: make raster-post-install-check.

...

create_rt_utility_test. ok rt_utility. ok create_rt_gist_test. failed (diff expected obtained: /tmp/rtpgis_reg_11895/test_25_diff) rt_above. ok rt_below. ok

....

I add a zip with the new diff log.

Changed 11 years ago by aperi2007

Attachment: rtpgis_reg_11895.zip added

a new zip with logs

comment:5 Changed 10 years ago by mloskot

Description: modified (diff)

Description format

comment:6 Changed 10 years ago by mloskot

Some of the failures like rt_addband is related to the problem #792

I tried to run the raster-post-install-check for r6848 and getting even more failures:

PostgreSQL 8.4.7 on x86_64-pc-linux-gnu, compiled by GCC gcc-4.4.real (Ubuntu/Linaro 4.4.4-14ubuntu5) 4.4.5, 64-bit
 Postgis 2.0.0SVN - 2011-02-19 01:10:53
   GEOS: 3.3.0-CAPI-1.7.0
   PROJ: Rel. 4.7.1, 23 September 2009
 WKTRaster 2.0.0SVN - 2011-02-19 01:10:53

Running tests

 check_raster_columns. ok
 check_raster_overviews. ok
 rt_io. ok
 create_rt_bytea_test. ok
 rt_bytea. ok
 create_rt_box2d_test. ok
 rt_box2d. ok
 rt_addband. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_8_diff)
 create_rt_properties_test. ok
 rt_dimensions. ok
 rt_scale. ok
 rt_upperleft. ok
 rt_rotation. ok
 rt_georeference. ok
 rt_set_properties. ok
 create_rt_empty_raster_test. ok
 rt_isempty. ok
 rt_hasnoband. ok
 create_rt_band_properties_test. ok
 rt_band_properties. ok
 rt_set_band_properties. ok
 rt_pixelvalue. ok
 create_rt_utility_test. ok
 rt_utility. ok
 create_rt_mapalgebra_test. ok
 rt_mapalgebra. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_26_diff)
 create_rt_gist_test. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_27_diff)
 rt_above. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_28_diff)
 rt_below. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_29_diff)
 rt_contained. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_30_diff)
 rt_contain. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_31_diff)
 rt_left. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_32_diff)
 rt_overabove. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_33_diff)
 rt_overbelow. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_34_diff)
 rt_overlap. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_35_diff)
 rt_overleft. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_36_diff)
 rt_overright. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_37_diff)
 rt_right. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_38_diff)
 rt_same. failed (diff expected obtained: /tmp/rtpgis_reg_20787/test_39_diff)
 rt_spatial_relationship. ok
 bug_test_car5. ok

Run tests: 41
Failed: 15

AFAIU, most of them seem to be related to SQL functions renaming.

comment:7 Changed 10 years ago by strk

I'm gettin failures too, with r6888 I guess the lack of a pre-install check is making these tests kind of ineffective.

 rt_addband. failed (diff expected obtained: /tmp/rtpgis_reg_24868/test_8_diff)
 rt_overlap. failed (diff expected obtained: /tmp/rtpgis_reg_24868/test_35_diff)
 rt_spatial_relationship. failed (diff expected obtained: /tmp/rtpgis_reg_24868/test_40_diff)

Run tests: 41
Failed: 17

about to attach rtpgis_reg_24868

Changed 10 years ago by strk

Attachment: reg_24868.tgz added

comment:8 Changed 10 years ago by jorgearevalo

There's some debug information in you output. Did you configure your sources with '--enable-debug' option?

comment:9 Changed 10 years ago by strk

Ah, it's my ~/.psqlrc setting min_client_messages to DEBUG. The test script should make sure min_client_messages is set to the default instead, or that the users's .pgsqlrc isn't used.

Porting the whole infrastructure onto the run_test of core should include such facilities, I've extended it recently to allow testing topology, doing the same for raster shouldn't be too much work

comment:10 Changed 10 years ago by pracine

Priority: criticalblocker

comment:11 Changed 10 years ago by pracine

Owner: changed from pracine to jorgearevalo
Status: assignednew

Some of these failures are fixed at the same time as #792. The rest should be fixed by desactivating DEBUG in run_test as strk suggested. I reassign to Jorge.

comment:12 Changed 10 years ago by jorgearevalo

Status: newassigned

Raster test infrastructure ported to general test infrastructure, in the same way topology did it. Anyway, I have a doubt I'd like to solve before closing the ticket:

Core run_test forces --no-psqlrc. So, if my .psqlrc sets min_client_messages to debug, run_test will avoid it. But executing configure --enable-debug makes tests fail because too much debug information sent from server. Not only raster tests.

So, I think there's a confussion here, or I'm wrong. Correct me if so:

  • On one hand, run_test avoid user defined log level. This is, at client level (modifying psql call parameters).
  • On the other hand, you can specify "--enable-debug" when you compile PostGIS. This will enable debug messages at server level (log messages sent by postgres backend when executing PostGIS tests). If you specify this option, tests will fail, because run_test only controls client debug level, not server debug level (obviuosly, because it's using psql client).

So, this shouldn't be a defect. It's normal. If I'm not wrong...

May I close the ticket?

comment:13 Changed 10 years ago by strk

The problem with --enable-debug is that liblwgeom only exposes two message hooks: error and notice. So debugging is implemented in terms of NOTICE, rather than DEBUG. It's not related to this bug, may be worth discussing in a separate thread (mailing list or new ticket).

I think this ticket can be closed. I still have a failure in mapalgebra but I think it's worth a separate ticket.

comment:14 Changed 10 years ago by jorgearevalo

Resolution: wontfix
Status: assignedclosed

Ok. I close this ticket. The problem with MapAlgebra? is the one you've posted in ticket #896, I guess.

Note: See TracTickets for help on using tickets.